// Author: Yu Chen <yu.chen@live.ie>
// License: Apache License 2.0

'use strict';

module.exports = {
  pay: function (params, onSuccess, onError) {
    cordova.exec(onSuccess, onError, "Wechat", "pay", [params]);
  },
  auth: function (scope, state, onSuccess, onError) {
    if (typeof scope == "function")
      cordova.exec(scope, state, "Wechat", "auth");
    else if (typeof state == "function")
      cordova.exec(state, onSuccess, "Wechat", "auth", [scope]);
    else
      cordova.exec(onSuccess, onError, "Wechat", "auth", [scope, state]);
  }
};